FailedOk

th/SRPMS[OK]
th/x32[OK]
th/i686[OK]
th/x86_64[OK]

ac/SRPMS[OK]
ac/i386[OK]
ac/i586[OK]
ac/i686[OK]
ac/alpha[OK]
ac/amd64[OK]
ac/athlon[OK]
ac/ppc[OK]
ac/sparc[OK]
ac/sparc64[OK]

Advanced Search
main()
Powered by PLD Linux
(c) 2002-2017 PLD Team
$Revision: 1.37 $
Powered by php.
Your IP: 23.20.103.97

hlint 3bb10acc-5d63-447b-8c66-395771f6e29c

Status:Failed
Source URL:ftp://buildlogs.pld-linux.org/th/x86_64/FAIL/hlint,3bb10acc-5d63-447b-8c66-395771f6e29c.bz2
text/plain URL:View!
full text:View!
rpm -qa of builder:View!
Date:2017/07/19 16:27:22
Runtime:0:00:01.051235

Toc:

  • error 1
  • rpm: error: Failed build dependencies:
  • error 2
  • rpm: error: Failed build dependencies:
  • prep
  • Executing(%prep): /bin/sh -e /tmp/B.9O06Rs/BUILD/tmp/rpm-tmp.48127
  • build
  • Executing(%build): /bin/sh -e /tmp/B.9O06Rs/BUILD/tmp/rpm-tmp.48127
  • error 3
  • error: Bad exit status from /tmp/B.9O06Rs/BUILD/tmp/rpm-tmp.48127 (%build)
  • error 4
  • RPM build errors:
  • error 5
  • error: No files produced.

Content:

checking if we should skip the build
started at: Wed Jul 19 16:26:56 2017
fetching https://srcbuilder.pld-linux.org/th//srpms/3bb10acc-5d63-447b-8c66-395771f6e29c/hlint-1.9.36-1.src.rpm
fetched 105561 bytes, 240.3 K/s
installing srpm: hlint-1.9.36-1.src.rpm
mesg: ttyname failed: Inappropriate ioctl for device
+ install -d /tmp/B.9O06Rs/BUILD /tmp/B.9O06Rs/RPMS
+ LC_ALL=en_US.UTF-8
+ rpm -qp --changelog hlint-1.9.36-1.src.rpm
* Wed Jul 19 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hlint.git;a=log;h=master
* Sat Aug 13 2016 Jan Palus <atler@pld-linux.org> 617c811
- BR: ghc-cmdargs * Mon Aug 01 2016 Jan Palus <atler@pld-linux.org> dd2185c
- up to 1.9.36 + rpm -Uhv --nodeps --define '_topdir /tmp/B.9O06Rs' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' hlint-1.9.36-1.src.rpm Preparing... ################################################## hlint ################################################## + rm -f hlint-1.9.36-1.src.rpm mesg: ttyname failed: Inappropriate ioctl for device + install -m 700 -d /tmp/B.9O06Rs/BUILD/tmp mesg: ttyname failed: Inappropriate ioctl for device + TMPDIR=/tmp/B.9O06Rs/BUILD/tmp + exec nice -n 0 rpmbuild -bp --short-circuit --nodeps --define '_topdir /tmp/B.9O06Rs' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux --define 'prep exit 0' /tmp/B.9O06Rs/hlint.spec Building target platforms: x86_64-pld-linux checking BuildConflict-ing packages no BuildConflicts found checking BR rpm: error: Failed build dependencies: rpm: cpphs >= 1.20.1 is needed by hlint-1.9.36-1.src rpm: ghc-ansi-terminal >= 0.6.2 is needed by hlint-1.9.36-1.src rpm: ghc-cmdargs >= 0.10 is needed by hlint-1.9.36-1.src rpm: ghc-extra >= 1.4.9 is needed by hlint-1.9.36-1.src rpm: ghc-haskell-src-exts >= 1.18.0 is needed by hlint-1.9.36-1.src rpm: ghc-refact >= 0.3 is needed by hlint-1.9.36-1.src rpm: ghc-uniplate is needed by hlint-1.9.36-1.src rpm: hscolour is needed by hlint-1.9.36-1.src rpm: Building target platforms: x86_64-pld-linux updating poldek cache... ready is up to date Retrieving th::packages.ndir.md... th is up to date Retrieving th::packages.ndir.md... th is up to date Retrieving th-ready::packages.ndir.md... th-ready is up to date Retrieving th-ready::packages.ndir.md... th-ready is up to date Retrieving th-test::packages.ndir.md... th-test is up to date Retrieving th-test::packages.ndir.md... th-test is up to date checking conflicting packages in BRed packages poldek: Loading [pndir]ready... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th... poldek: Loading [pndir]th... poldek: 28660 packages read poldek: Removed 1711 duplicate packages from available set poldek: Processing dependencies... poldek: cpphs-1.20.1-1.x86_64 marks ghc-polyparse-1.12-1.x86_64 (cap ghc-polyparse >= 1.9) poldek: ghc-polyparse-1.12-1.x86_64 marks ghc-haskell-platform-2013.2.0.0-4.x86_64 (cap ghc-text) poldek: ghc-extra-1.5-1.x86_64 marks ghc-clock-0.7.2-1.x86_64 (cap ghc-clock >= 0.7) poldek: There are 11 packages to install (3 marked by dependencies): poldek: I cpphs-1.20.1-1.x86_64 ghc-ansi-terminal-0.6.2.3-1.x86_64 poldek: I ghc-cmdargs-0.10.14-1.x86_64 ghc-extra-1.5-1.x86_64 poldek: I ghc-haskell-src-exts-1.18.2-1.x86_64 ghc-refact-0.3.0.2-1.x86_64 poldek: I ghc-uniplate-1.6.12-1.x86_64 hscolour-1.20.3-1.x86_64 poldek: D ghc-clock-0.7.2-1.x86_64 ghc-haskell-platform-2013.2.0.0-4.x86_64 poldek: D ghc-polyparse-1.12-1.x86_64 poldek: This operation will use 223.7MB of disk space. poldek: Need to get 18.6MB of archives (13.0MB to download). poldek: poldek: Retrieving [1/3] th::ghc-haskell-platform-2013.2.0.0-4.x86_64.rpm... poldek: ..............................done poldek: Retrieving [2/3] th::ghc-uniplate-1.6.12-1.x86_64.rpm... poldek: ..............................done poldek: Retrieving [3/3] th::hscolour-1.20.3-1.x86_64.rpm... poldek: ..............................done poldek: Executing pm-command.sh --upgrade -vh --test --root / --define _check_dirname_deps 1... poldek: Preparing... ################################################## no conflicts found checking BR rpm: error: Failed build dependencies: rpm: cpphs >= 1.20.1 is needed by hlint-1.9.36-1.src rpm: ghc-ansi-terminal >= 0.6.2 is needed by hlint-1.9.36-1.src rpm: ghc-cmdargs >= 0.10 is needed by hlint-1.9.36-1.src rpm: ghc-extra >= 1.4.9 is needed by hlint-1.9.36-1.src rpm: ghc-haskell-src-exts >= 1.18.0 is needed by hlint-1.9.36-1.src rpm: ghc-refact >= 0.3 is needed by hlint-1.9.36-1.src rpm: ghc-uniplate is needed by hlint-1.9.36-1.src rpm: hscolour is needed by hlint-1.9.36-1.src rpm: Building target platforms: x86_64-pld-linux installing BR: ghc\-refact ghc\-cmdargs ghc\-ansi\-terminal ghc\-haskell\-src\-exts ghc\-uniplate hscolour ghc\-extra cpphs + poldek --noask --caplookup -Q -v --upgrade ghc-refact ghc-cmdargs ghc-ansi-terminal ghc-haskell-src-exts ghc-uniplate hscolour ghc-extra cpphs Loading [pndir]ready... Loading [pndir]th-test... Loading [pndir]th-test... Loading [pndir]th-ready... Loading [pndir]th-ready... Loading [pndir]th... Loading [pndir]th... 28660 packages read Removed 1711 duplicate packages from available set Processing dependencies... cpphs-1.20.1-1.x86_64 marks ghc-polyparse-1.12-1.x86_64 (cap ghc-polyparse >= 1.9) ghc-polyparse-1.12-1.x86_64 marks ghc-haskell-platform-2013.2.0.0-4.x86_64 (cap ghc-text) There are 3 packages to install (2 marked by dependencies): I cpphs-1.20.1-1.x86_64 D ghc-haskell-platform-2013.2.0.0-4.x86_64 ghc-polyparse-1.12-1.x86_64 This operation will use 159.9MB of disk space. Need to get 13.1MB of archives. Executing pm-command.sh --upgrade -vh --root / --define _check_dirname_deps 1... Preparing... ################################################## ghc-haskell-platform ################################################## ghc-polyparse ################################################## cpphs ################################################## Installing set #2 Processing dependencies... ghc-extra-1.5-1.x86_64 marks ghc-clock-0.7.2-1.x86_64 (cap ghc-clock >= 0.7) There are 7 packages to install (1 marked by dependencies): I ghc-ansi-terminal-0.6.2.3-1.x86_64 ghc-cmdargs-0.10.14-1.x86_64 I ghc-extra-1.5-1.x86_64 ghc-haskell-src-exts-1.18.2-1.x86_64 I ghc-refact-0.3.0.2-1.x86_64 ghc-uniplate-1.6.12-1.x86_64 D ghc-clock-0.7.2-1.x86_64 This operation will use 60.1MB of disk space. Need to get 5.0MB of archives. Executing pm-command.sh --upgrade -vh --root / --define _check_dirname_deps 1... Preparing... ################################################## ghc-clock ################################################## ghc-ansi-terminal ################################################## ghc-cmdargs ################################################## ghc-extra ################################################## ghc-haskell-src-exts ################################################## ghc-refact ################################################## ghc-uniplate ################################################## Installing set #3 Processing dependencies... There are 1 package to install: I hscolour-1.20.3-1.x86_64 This operation will use 3.7MB of disk space. Need to get 487.1KB of archives. Executing pm-command.sh --upgrade -vh --root / --define _check_dirname_deps 1... Preparing... ################################################## hscolour ################################################## building RPM using: set -ex; : build-id: 3bb10acc-5d63-447b-8c66-395771f6e29c; TMPDIR=/tmp/B.9O06Rs/BUILD/tmp exec nice -n 0 rpmbuild -bb --define '_smp_mflags -j5' --define '_make_opts -Otarget' --define '_pld_builder 1' --define '_topdir /tmp/B.9O06Rs' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux /tmp/B.9O06Rs/hlint.spec mesg: ttyname failed: Inappropriate ioctl for device + : build-id: 3bb10acc-5d63-447b-8c66-395771f6e29c + TMPDIR=/tmp/B.9O06Rs/BUILD/tmp + exec nice -n 0 rpmbuild -bb --define '_smp_mflags -j5' --define '_make_opts -Otarget' --define '_pld_builder 1' --define '_topdir /tmp/B.9O06Rs' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux /tmp/B.9O06Rs/hlint.spec Building target platforms: x86_64-pld-linux Executing(%prep): /bin/sh -e /tmp/B.9O06Rs/BUILD/tmp/rpm-tmp.48127 + umask 022 + cd /tmp/B.9O06Rs/BUILD + cd /tmp/B.9O06Rs/BUILD + rm -rf hlint-1.9.36 + /usr/bin/gzip -dc /tmp/B.9O06Rs/hlint-1.9.36.tar.gz + /bin/tar -xf - + STATUS=0 + '[' 0 -ne 0 ']' + cd hlint-1.9.36 + /bin/id -u + '[' 1000 '=' 0 ']' + /bin/id -u + '[' 1000 '=' 0 ']' + /bin/chmod -Rf a+rX,u+w,g-w,o-w . + exit 0 Executing(%build): /bin/sh -e /tmp/B.9O06Rs/BUILD/tmp/rpm-tmp.48127 TMP=/home/users/builder/tmp HOME=/home/users/builder PATH=/home/users/builder/GNUstep/Tools:/usr/local/bin:/usr/bin:/bin:/home/users/builder/bin TMPDIR=/tmp/B.9O06Rs/BUILD/tmp + umask 022 + cd /tmp/B.9O06Rs/BUILD + cd hlint-1.9.36 + runhaskell Setup.hs configure -v2 '--prefix=/usr' '--libdir=/usr/lib64' '--libexecdir=/usr/lib64' '--docdir=/usr/share/doc/hlint-1.9.36' Warning: hlint.cabal: Unknown fields: extra-doc-files (line 29) Fields allowed in this section: name, version, cabal-version, build-type, license, license-file, copyright, maintainer, build-depends, stability, homepage, package-url, bug-reports, synopsis, description, category, author, tested-with, data-files, data-dir, extra-source-files, extra-tmp-files Configuring hlint-1.9.36... Flags chosen: gpl=False, threaded=True Dependency ansi-terminal >=0.6.2: using ansi-terminal-0.6.2.3 Dependency base ==4.*: using base-4.6.0.1 Dependency cmdargs >=0.10: using cmdargs-0.10.14 Dependency containers -any: using containers-0.5.0.0 Dependency cpphs >=1.20.1: using cpphs-1.20.1 Dependency directory -any: using directory-1.2.0.1 Dependency extra >=1.4.9: using extra-1.5 Dependency filepath -any: using filepath-1.3.0.1 Dependency haskell-src-exts ==1.18.*: using haskell-src-exts-1.18.2 Dependency hlint -any: using hlint-1.9.36 Dependency process -any: using process-1.1.0.2 Dependency refact >=0.3: using refact-0.3.0.2 Dependency transformers -any: using transformers-0.4.1.0 Dependency uniplate >=1.5: using uniplate-1.6.12 Setup.hs: The following installed packages are broken because other packages they depend on are missing. These broken packages must be rebuilt before they can be used. package haskell-src-exts-1.18.2 is broken due to missing package cpphs-1.17.1-97d60ca9d34a900fd3acfe9fc0e22ad4 error: Bad exit status from /tmp/B.9O06Rs/BUILD/tmp/rpm-tmp.48127 (%build) RPM build errors: Bad exit status from /tmp/B.9O06Rs/BUILD/tmp/rpm-tmp.48127 (%build) ended at: Wed Jul 19 16:27:22 2017, done in 0:00:01.051235 error: No files produced. mesg: ttyname failed: Inappropriate ioctl for device + chmod -R u+rwX /tmp/B.9O06Rs/BUILD + rm -rf /tmp/B.9O06Rs/tmp /tmp/B.9O06Rs/BUILD mesg: ttyname failed: Inappropriate ioctl for device + rm -rf /tmp/B.9O06Rs Begin-PLD-Builder-Info Build-Time: user:12.25s sys:2.03s real:26.35s (faults io:0 non-io:594397) End-PLD-Builder-Info
[Back to list of logs] [View rpm -qa of builder]